
-- stoelen bijplaatsen

DECLARE
   v_deel_key            NUMBER(10);
   v_deel_module         ins_deel.ins_deel_module%TYPE;
   v_srtdeel_key         ins_deel.ins_srtdeel_key%TYPE;
   v_alg_ruimte_key      ins_deel.ins_alg_ruimte_key%TYPE;
   v_alg_ruimte_type     ins_deel.ins_alg_ruimte_type%TYPE;
   v_deel_aantal         ins_deel.ins_deel_aantal%TYPE;
   v_deel_omschrijving   ins_deel.ins_deel_omschrijving%TYPE;
   v_discipline_key      ins_deel.ins_discipline_key %TYPE;
   v_alg_locatie_key     ins_deel.ins_alg_locatie_key%TYPE;
BEGIN

      SELECT ins_deel_module,
             ins_srtdeel_key,
             ins_alg_ruimte_key,
             ins_alg_ruimte_type,
             ins_deel_aantal,
             ins_deel_omschrijving,
             ins_discipline_key,
             ins_alg_locatie_key
        INTO v_deel_module,
             v_srtdeel_key,
             v_alg_ruimte_key,
             v_alg_ruimte_type,
             v_deel_aantal,
             v_deel_omschrijving,
             v_discipline_key,
             v_alg_locatie_key
        FROM ins_deel
       WHERE ins_deel_key = 165;

   FOR i IN 2 .. 16
   LOOP

                            
      INSERT INTO ins_deel (ins_deel_module,
                            ins_srtdeel_key,
                            ins_alg_ruimte_key,
                            ins_alg_ruimte_type,
                            ins_deel_aantal,
                            ins_deel_omschrijving,
                            ins_discipline_key,
                            ins_alg_locatie_key)
         VALUES ( v_deel_module,
                  v_srtdeel_key,
                  v_alg_ruimte_key,
                  v_alg_ruimte_type,
                  v_deel_aantal,
                  v_deel_omschrijving || ' ' || to_char(i, '099'),
                  v_discipline_key,
                  v_alg_locatie_key)
        RETURNING ins_deel_key INTO v_deel_key;
      
      INSERT INTO res_deel (res_ins_deel_key, res_discipline_key, res_deel_alg_level)
         SELECT v_deel_key, res_discipline_key, res_deel_alg_level
           FROM res_deel
          WHERE res_ins_deel_key = 165 AND res_deel_verwijder IS NULL;
      
   END LOOP;
   COMMIT;
END;
/


-- statafel

DECLARE
   v_deel_key            NUMBER(10);
   v_deel_module         ins_deel.ins_deel_module%TYPE;
   v_srtdeel_key         ins_deel.ins_srtdeel_key%TYPE;
   v_alg_ruimte_key      ins_deel.ins_alg_ruimte_key%TYPE;
   v_alg_ruimte_type     ins_deel.ins_alg_ruimte_type%TYPE;
   v_deel_aantal         ins_deel.ins_deel_aantal%TYPE;
   v_deel_omschrijving   ins_deel.ins_deel_omschrijving%TYPE;
   v_discipline_key      ins_deel.ins_discipline_key %TYPE;
   v_alg_locatie_key     ins_deel.ins_alg_locatie_key%TYPE;
BEGIN

      SELECT ins_deel_module,
             ins_srtdeel_key,
             ins_alg_ruimte_key,
             ins_alg_ruimte_type,
             ins_deel_aantal,
             'Statafel',
             ins_discipline_key,
             ins_alg_locatie_key
        INTO v_deel_module,
             v_srtdeel_key,
             v_alg_ruimte_key,
             v_alg_ruimte_type,
             v_deel_aantal,
             v_deel_omschrijving,
             v_discipline_key,
             v_alg_locatie_key
        FROM ins_deel
       WHERE ins_deel_key = 19354;

   FOR i IN 7 .. 24
   LOOP

                            
      INSERT INTO ins_deel (ins_deel_module,
                            ins_srtdeel_key,
                            ins_alg_ruimte_key,
                            ins_alg_ruimte_type,
                            ins_deel_aantal,
                            ins_deel_omschrijving,
                            ins_discipline_key,
                            ins_alg_locatie_key)
         VALUES ( v_deel_module,
                  v_srtdeel_key,
                  v_alg_ruimte_key,
                  v_alg_ruimte_type,
                  v_deel_aantal,
                  v_deel_omschrijving || trim(to_char(i, '099')),
                  v_discipline_key,
                  v_alg_locatie_key)
        RETURNING ins_deel_key INTO v_deel_key;
      
      INSERT INTO res_deel (res_ins_deel_key, res_discipline_key, res_deel_alg_level)
         SELECT v_deel_key, res_discipline_key, res_deel_alg_level
           FROM res_deel
          WHERE res_ins_deel_key = 19354 AND res_deel_verwijder IS NULL;
      
   END LOOP;
   COMMIT;
END;
/

-- infotafel

DECLARE
   v_deel_key            NUMBER(10);
   v_deel_module         ins_deel.ins_deel_module%TYPE;
   v_srtdeel_key         ins_deel.ins_srtdeel_key%TYPE;
   v_alg_ruimte_key      ins_deel.ins_alg_ruimte_key%TYPE;
   v_alg_ruimte_type     ins_deel.ins_alg_ruimte_type%TYPE;
   v_deel_aantal         ins_deel.ins_deel_aantal%TYPE;
   v_deel_omschrijving   ins_deel.ins_deel_omschrijving%TYPE;
   v_discipline_key      ins_deel.ins_discipline_key %TYPE;
   v_alg_locatie_key     ins_deel.ins_alg_locatie_key%TYPE;
BEGIN

      SELECT ins_deel_module,
             ins_srtdeel_key,
             ins_alg_ruimte_key,
             ins_alg_ruimte_type,
             ins_deel_aantal,
             'Infotafel',
             ins_discipline_key,
             ins_alg_locatie_key
        INTO v_deel_module,
             v_srtdeel_key,
             v_alg_ruimte_key,
             v_alg_ruimte_type,
             v_deel_aantal,
             v_deel_omschrijving,
             v_discipline_key,
             v_alg_locatie_key
        FROM ins_deel
       WHERE ins_deel_key = 19342;

   FOR i IN 2 .. 24
   LOOP

                            
      INSERT INTO ins_deel (ins_deel_module,
                            ins_srtdeel_key,
                            ins_alg_ruimte_key,
                            ins_alg_ruimte_type,
                            ins_deel_aantal,
                            ins_deel_omschrijving,
                            ins_discipline_key,
                            ins_alg_locatie_key)
         VALUES ( v_deel_module,
                  v_srtdeel_key,
                  v_alg_ruimte_key,
                  v_alg_ruimte_type,
                  v_deel_aantal,
                  v_deel_omschrijving || trim(to_char(i, '099')),
                  v_discipline_key,
                  v_alg_locatie_key)
        RETURNING ins_deel_key INTO v_deel_key;
      
      INSERT INTO res_deel (res_ins_deel_key, res_discipline_key, res_deel_alg_level)
         SELECT v_deel_key, res_discipline_key, res_deel_alg_level
           FROM res_deel
          WHERE res_ins_deel_key = 19342 AND res_deel_verwijder IS NULL;
      
   END LOOP;
   COMMIT;
END;
/

-- Terrastafel
DECLARE
   v_deel_key            NUMBER(10);
   v_deel_module         ins_deel.ins_deel_module%TYPE;
   v_srtdeel_key         ins_deel.ins_srtdeel_key%TYPE;
   v_alg_ruimte_key      ins_deel.ins_alg_ruimte_key%TYPE;
   v_alg_ruimte_type     ins_deel.ins_alg_ruimte_type%TYPE;
   v_deel_aantal         ins_deel.ins_deel_aantal%TYPE;
   v_deel_omschrijving   ins_deel.ins_deel_omschrijving%TYPE;
   v_discipline_key      ins_deel.ins_discipline_key %TYPE;
   v_alg_locatie_key     ins_deel.ins_alg_locatie_key%TYPE;
BEGIN

      SELECT ins_deel_module,
             ins_srtdeel_key,
             ins_alg_ruimte_key,
             ins_alg_ruimte_type,
             ins_deel_aantal,
             'Terrastafel',
             ins_discipline_key,
             ins_alg_locatie_key
        INTO v_deel_module,
             v_srtdeel_key,
             v_alg_ruimte_key,
             v_alg_ruimte_type,
             v_deel_aantal,
             v_deel_omschrijving,
             v_discipline_key,
             v_alg_locatie_key
        FROM ins_deel
       WHERE ins_deel_key = 19360;

   FOR i IN 7 .. 19
   LOOP

                            
      INSERT INTO ins_deel (ins_deel_module,
                            ins_srtdeel_key,
                            ins_alg_ruimte_key,
                            ins_alg_ruimte_type,
                            ins_deel_aantal,
                            ins_deel_omschrijving,
                            ins_discipline_key,
                            ins_alg_locatie_key)
         VALUES ( v_deel_module,
                  v_srtdeel_key,
                  v_alg_ruimte_key,
                  v_alg_ruimte_type,
                  v_deel_aantal,
                  v_deel_omschrijving || trim(to_char(i, '099')),
                  v_discipline_key,
                  v_alg_locatie_key)
        RETURNING ins_deel_key INTO v_deel_key;
      
      INSERT INTO res_deel (res_ins_deel_key, res_discipline_key, res_deel_alg_level)
         SELECT v_deel_key, res_discipline_key, res_deel_alg_level
           FROM res_deel
          WHERE res_ins_deel_key = 19360 AND res_deel_verwijder IS NULL;
      
   END LOOP;
   COMMIT;
END;
/